import '../../../../../../food_delivery_client.dart';

class WFiltersBody extends StatelessWidget {
  const WFiltersBody({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<HomeBloc, HomeState>(
      builder: (context, state) {
        return WLayout(
          child: Scaffold(
            appBar: PreferredSize(
              preferredSize: Size.fromHeight(56),
              child: WFiltersAppBar(),
            ),
            body: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Expanded(
                  child: SingleChildScrollView(
                    scrollDirection: Axis.vertical,
                    physics: const AlwaysScrollableScrollPhysics(),
                    child: Column(
                      crossAxisAlignment: CrossAxisAlignment.start,
                      children: [
                        18.verticalSpace,
                        WDeliveryDuration(),
                        WFiltersSort(),
                        WFiltersDeals(),
                        WFilterDietary(),
                      ],
                    ),
                  ),
                ),
              ],
            ),
          ),
        );
      },
    );
  }
}
